*,
*::after,
*::before {
  box-sizing: border-box;
  font-family: Arial, serif;
}

.h3 {
  margin: 0;
}

body {
  position: relative;
  min-height: 100vh;
  min-width: 100vh;
  padding: 0;
  margin: 0;
  overflow-x: hidden;
  color: #000000de;
}

/*HEADER*/

.sticky-header {
  position: sticky;
  top: 0;
  background-color: white;
  z-index: 10;
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;

  width: 100%;
  height: 72px;
  overflow: hidden;
}

.hidden {
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
  white-space: nowrap;
}

.left-container {
  align-items: center;
  display: flex;
}

.hamburger div {
  height: 4px;
  background-color: #C1C1C1;
  margin: 6px 0;
}

.hamburger {
  margin-right: auto;
  width: 45px;
}

.hamburger line {
  width: 30px;
}

.logo {
  padding: 10px;
  font-size: 1.3rem;
  font-weight: bold;
}

.search {
  scale: 1.2;
  display: flex;
  width: 30%;
}

@media screen and (max-width: 400px){
  .search{
    display:none;
  }
}

.search  form {
  position: relative;
  height: 100%;
  width: 70%;
  background-color: white;
  border: 1px solid #AEAEAE;
  overflow: hidden;
}

.search form input {
  width: 100%;
  border: none;
}

textarea:focus, input:focus{
  outline: none;
}

.search-select {
  position: relative;

  width: 30%;
  border: 1px solid #AEAEAE;
  background-color: transparent;
  text-align: center;
  font-size: 11px;
  font-weight: bold;
  overflow: hidden;
}

.header-nav-container {
  display: flex;
  align-items: center;
  flex-shrink: 0;
}

.header-nav-container img {
  position: relative;
  width: 20px;
  height: 20px;
  margin: 4px 4px;
  background-size: 100% auto;
}

.header-nav span{
  font-size: 14px;
  font-weight: bold;
}

.header-nav a {
  font-size: 0.9em;
  color: black;
  text-decoration: none;
  position: relative;
}

.header-nav a:hover {
  font-weight: bold;
}

/*CATEGORY*/

.category-section {
  width: 100%;
  box-sizing: border-box;
  background-color: #E0E0E0;
  padding: 2em 0;
}

.category-container {
  display: flex;
  gap: 20px;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.category-item {
  display: flex;
  flex-direction: column;
  gap: 10px;
  min-width: 150px;
}

.category-img {
  background-color: white;
  width: 150px;
  height: 150px;
}

.category-name {
  font-weight: bold;
  text-align: center;
}

/*COUPON*/

.coupon-section {
  background-color: #F2F2F2;
  padding: 2em 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
  justify-items: center;
  box-sizing: border-box;
}

.box {
  position: relative;
  width: 190px;
  height: 250px;
  box-sizing: border-box;

  background-color: white;
}

.box-picture {
  position: relative;
  background-color: #E0E0E0;
  width: 100%;
  height: 170px;
}

.box-flex-container {
  position: relative;
  width: 100%;
  min-height: 25px;
  max-height: 25px;
  display: flex;
  align-items: center;
}

.box h2 {
  margin: 3px 3px;
  font-size: 14px;
  font-weight: bold;
  text-align: left;
}

.box img {
  width: 15px;
  height: 15px;
  margin: 3px 3px 3px auto;
}

.box h3 {
  margin: 3px 3px;
  font-size: 8px;
  text-align: left;
}

.box h4 {
  font-size: 8px;
  margin: 3px 3px 3px auto;
  color: #AEAEAE;
  text-align: right;
}

.box-bottom-segment {
  display: flex;
  align-items: center;

  height: 30px;
  border-top: 1px ridge lightgray;
  width: 100%;
}

.box-bottom-segment h2 {
  font-size: 14px;
  font-weight: bold;

  margin: 3px 3px;
  text-align: left;
}

.box-bottom-segment button {
  height: 20px;
  width: 95px;
  padding: 4px 4px;
  border: 1px ridge lightgray;
  background-color: transparent;

  font-size: 10px;
  text-align: center;
  margin: 3px 3px 3px auto;
}

.box-bottom-segment button:hover {
  font-weight: bold;
}

.box-bottom-segment button:active {
  font-weight: bold;
  color: green;
}